Asynchronous Support Gifting
Allows an admin to gift a single entity (points, visits, currency or rewards) to a specific user. This API can handle higher volumes of support gifting requests, as it processes them in the background rather than immediately.
For bulk gifting use cases (points or rewards), we recommend using this API, which supports up to 4,000 requests per minute (RPM) and is optimized for high-volume gifting scenarios.
- Type: stringContent
- Type requiredThe media type of the request body. Must be
application/json. - Type: stringAcceptrequired
The media type the client expects in the response. Must be
application/json. - Type: stringAuthorizationrequired
Bearer token for admin authorization. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: integeruser
_id requiredUnique ID of the user who will receive the gift or message. This is a unique ID assigned to the user by Punchh.
- Type: stringFormat: dateend
_date Expiration date for the gifted redeemable. If provided, the redeemable will expire on the earlier of this date or the default configuration’s expiration date. The actual expiration will be whichever is earlier: the date you provide, or the system’s default expiration for that reward.
- Type: integergift
_count In a points-based business, gift_count represents the number of points to be gifted to guests. In a visit-based business, it is the number of visits to be gifted. Gifting is optional. You can include either
gift_count(for points or visits) orredeemable_id(for rewards) in the request. At least one of these parameters must be provided.- If both gift_count and redeemable_id are blank, the system returns: "Please specify any one entity for gifting".
- If both gift_count and redeemable_id are present, the system returns: "Please specify a single entity for gifting".
- Type: stringgift
_reason Reason these points or rewards are being gifted to the user. If no value is provided, the default system value of "Support Activity" will be provided.
- Type: integerlocation
_id Unique ID of the location associated with the gift. This is for reference purposes. If no location ID is provided, the ID of the headquarters location will be used.
- Type: stringmessage
Message that will be sent to the user
- Type: integerredeemable
_id Unique ID of the redeemable that you want to gift to the user. To send a gift, include either
gift_count(for points) orredeemable_id(for rewards) in the request. At least one of these parameters must be provided. - Type: booleanreset
_guest _last _activity Resets the guest's last activity timestamp to the current time
- Type: integerreward
_amount Currency amount that will be gifted to the user.
- Type: stringsubject
Subject of the message that you want to send to the user. If no value is provided, the default system value will be used.
- 202
OK - Request was accepted and processed successfully.
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/users/support_gifting \
--request POST \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: ' \
--data '{
"user_id": 111111111,
"subject": "Gifts from us.",
"message": "Thank you for contacting us. Here are 50 extra points to make your day.",
"gift_reason": "Admin Generosity",
"gift_count": 50,
"location_id": 310969
}'